Bug#559140: [CRASH] Uncaught exception SystemError in Backend/PythonApt.py:770

Darius Bundrent dramob at insightbb.com
Wed Dec 2 08:43:55 UTC 2009

Package: update-manager-core
Version: 0.200.0-1
Severity: critical
File: /usr/share/pyshared/UpdateManager/Backend/PythonApt.py
Tags: security
Justification: root security hole

*** /tmp/update-manager-bugCybBsv
The information below has been automatically generated.
Please do not remove this from your bug report.

- Exception Type: <type 'exceptions.SystemError'>
- Exception Value: SystemError('E:Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.',)
- Exception Origin: <BugHandler.Thread(PythonAptCommit, started)>
- Exception Traceback:
  File "/usr/lib/pymodules/python2.5/UpdateManager/BugHandler.py", line 89, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib/python2.5/threading.py", line 446, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/pymodules/python2.5/UpdateManager/Backend/PythonApt.py", line 770, in thread_helper

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'testing-proposed-updates'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages update-manager-core depends on:
ii  gksu                          2.0.2-2+b1 graphical frontend to su
ii  lsb-release                   3.2-23     Linux Standard Base version report
ii  python-apt             Python interface to libapt-pkg
ii  python-support                1.0.4      automated rebuilding support for P
ii  sudo                          1.7.2p1-1  Provide limited super user privile

Versions of packages update-manager-core recommends:
ii  update-manager-gnome          0.200.0-1  GNOME application that manages sof

update-manager-core suggests no packages.

More information about the pkg-gnome-maintainers mailing list